(function (GCN) {

	'use strict';

	/**
	 * @TODO (petro): Where is this constant used.  Can it be removed?
	 *
	 * @const
	 * @type {number}
	 */
	var TYPE_ID = 10011;

	/**
	 * @private
	 * @const
	 * @type {object.<string, boolean>} Default image settings.
	 */
	var DEFAULT_SETTINGS = {
		// Load image for updating
		update: true
	};

	/**
	 * @class ImageAPI
	 */
	var ImageAPI = GCN.defineChainback({

		__chainbacktype__: 'ImageAPI',
		_extends: GCN.FileAPI,
		_type: 'image',

		/**
		 * writable properties for the page object
		 */
		WRITEABLE_PROPS: ['cdate',
		                  'description',
		                  'folderId', // @TODO Check if moving is implemented
		                              // correctly.
		                  'name' ],

		/**
		 * @see ContentObjectAPI.!_loadParams
		 */
		'!_loadParams': function () {
			return jQuery.extend(DEFAULT_SETTINGS, this._settings);
		}
	});

	GCN.image = GCN.exposeAPI(ImageAPI);
	GCN.ImageAPI = ImageAPI;

}(GCN));
